Freeciv-3.1: /fast/freeciv/nightly/S3_1/tools/ruledit/ruledit_qt.h File Reference

Freeciv-3.1

Loading...
Searching...
No Matches
Data Structures | Macros | Functions
ruledit_qt.h File Reference
`#include <QApplication>`
`#include <QMainWindow>`
`#include <QObject>`
`#include <QLabel>`
`#include <QTabWidget>`
`#include "effect_edit.h"`
`#include "rulesave.h"`
`#include "speclist.h"`

Go to the source code of this file.

## Data Structures

class | ruledit_main
class | ruledit_gui

## Macros

#define | RULEDIT_WINWIDTH 700
#define | RULEDIT_WINHEIGHT 650
#define | SPECLIST_TAG req_edit
#define | SPECLIST_TYPE class req_edit
#define | req_edit_list_iterate(reqeditlist, preqedit) TYPED_LIST_ITERATE(class req_edit, reqeditlist, preqedit)
#define | req_edit_list_iterate_end LIST_ITERATE_END
#define | SPECLIST_TAG effect_edit
#define | SPECLIST_TYPE class effect_edit
#define | effect_edit_list_iterate(effecteditlist, peffectedit) TYPED_LIST_ITERATE(class effect_edit, effecteditlist, peffectedit)
#define | effect_edit_list_iterate_end LIST_ITERATE_END
#define | SPECLIST_TAG req_vec_fix
#define | SPECLIST_TYPE class req_vec_fix
#define | req_vec_fix_list_iterate(reqvecfixlist, preqvecfix) TYPED_LIST_ITERATE(class req_vec_fix, reqvecfixlist, preqvecfix)
#define | req_vec_fix_list_iterate_end LIST_ITERATE_END

## Functions

int | ruledit_qt_run (int argc, char **argv)
void | ruledit_qt_display_requirers (const char *msg, void *data)

## Macro Definition Documentation

## ◆ effect_edit_list_iterate

#define effect_edit_list_iterate | ( |  | effecteditlist,
|  |  | peffectedit
| ) |  | TYPED_LIST_ITERATE(class effect_edit, effecteditlist, peffectedit)

Definition at line 82 of file ruledit_qt.h.

## ◆ effect_edit_list_iterate_end

#define effect_edit_list_iterate_end LIST_ITERATE_END

Definition at line 84 of file ruledit_qt.h.

## ◆ req_edit_list_iterate

#define req_edit_list_iterate | ( |  | reqeditlist,
|  |  | preqedit
| ) |  | TYPED_LIST_ITERATE(class req_edit, reqeditlist, preqedit)

Definition at line 73 of file ruledit_qt.h.

## ◆ req_edit_list_iterate_end

#define req_edit_list_iterate_end LIST_ITERATE_END

Definition at line 75 of file ruledit_qt.h.

## ◆ req_vec_fix_list_iterate

#define req_vec_fix_list_iterate | ( |  | reqvecfixlist,
|  |  | preqvecfix
| ) |  | TYPED_LIST_ITERATE(class req_vec_fix, reqvecfixlist, preqvecfix)

Definition at line 91 of file ruledit_qt.h.

## ◆ req_vec_fix_list_iterate_end

#define req_vec_fix_list_iterate_end LIST_ITERATE_END

Definition at line 93 of file ruledit_qt.h.

## ◆ RULEDIT_WINHEIGHT

#define RULEDIT_WINHEIGHT 650

Definition at line 50 of file ruledit_qt.h.

## ◆ RULEDIT_WINWIDTH

#define RULEDIT_WINWIDTH 700

Definition at line 49 of file ruledit_qt.h.

## ◆ SPECLIST_TAG [1/3]

#define SPECLIST_TAG req_edit

Definition at line 69 of file ruledit_qt.h.

## ◆ SPECLIST_TAG [2/3]

#define SPECLIST_TAG effect_edit

Definition at line 69 of file ruledit_qt.h.

## ◆ SPECLIST_TAG [3/3]

#define SPECLIST_TAG req_vec_fix

Definition at line 69 of file ruledit_qt.h.

## ◆ SPECLIST_TYPE [1/3]

#define SPECLIST_TYPE class req_edit

Definition at line 70 of file ruledit_qt.h.

## ◆ SPECLIST_TYPE [2/3]

#define SPECLIST_TYPE class effect_edit

Definition at line 70 of file ruledit_qt.h.

## ◆ SPECLIST_TYPE [3/3]

#define SPECLIST_TYPE class req_vec_fix

Definition at line 70 of file ruledit_qt.h.

## Function Documentation

## ◆ ruledit_qt_display_requirers()

void ruledit_qt_display_requirers | ( | const char * | msg,
|  | void * | data
| ) |  |

Display requirer list.

Definition at line 96 of file ruledit_qt.cpp.

Referenced by tab_achievement::delete_now(), tab_building::delete_now(), tab_extras::delete_now(), tab_good::delete_now(), tab_gov::delete_now(), tab_multiplier::delete_now(), tab_tech::delete_now(), tab_terrains::delete_now(), and tab_unit::delete_now().

## ◆ ruledit_qt_run()

int ruledit_qt_run | ( | int | argc,
|  | char ** | argv
| ) |  |

Run ruledit-qt gui.

Definition at line 70 of file ruledit_qt.cpp.

Referenced by main().